Bug 72807 - Transmit problems with 3c556
Transmit problems with 3c556
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-27 19:35 EDT by adam.huffman
Modified: 2013-07-02 22:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adam.huffman 2002-08-27 19:35:08 EDT
Description of Problem:


During periods of relatively heavy network activity (e.g. scp transfers across a
lan) the connection quite often stalls, then restarts after 10 or so seconds.

Version-Release number of selected component (if applicable):
kernel 2.4.18-12.2

How Reproducible:
often

Steps to Reproduce:
1. scp a large file (or ftp a large file)
2. 
3. 

Actual Results:
connection stalls then restarts for a while then stalls etc.

Expected Results:
transfer completes without any stalls

Additional Information:
hardware is a built-in 3c556 on a Dell Latitude C800
Comment 1 adam.huffman 2002-08-27 19:43:29 EDT
This is the relevant section when one of the stalls occurs in /var/log/messages:

kernel: NETDEV WATCHDOG: eth0: transmit timed out
kernel: eth0: transmit timed out, tx_status 00 status e000.
kernel:   diagnostics: net 0ce0 media a800 dma 000000a0.
kernel:   Flags; bus-master 1, dirty 1688760(8) current 1688776(8)
kernel:   Transmit list 15521400 vs. d5521400.
kernel:   0: @d5521200  length 800005ea status 000005ea
kernel:   1: @d5521240  length 800005ea status 000005ea
kernel:   2: @d5521280  length 800005ea status 000005ea
kernel:   3: @d55212c0  length 800005ea status 000005ea
kernel:   4: @d5521300  length 800005ea status 000005ea
kernel:   5: @d5521340  length 80000042 status 00000042
kernel:   6: @d5521380  length 800005ea status 800005ea
kernel:   7: @d55213c0  length 800005ea status 800005ea
kernel:   8: @d5521400  length 800005ea status 000005ea
kernel:   9: @d5521440  length 800005ea status 000005ea
kernel:   10: @d5521480  length 800005ea status 000005ea
kernel:   11: @d55214c0  length 800005ea status 000005ea
kernel:   12: @d5521500  length 800005ea status 000005ea
kernel:   13: @d5521540  length 800005ea status 000005ea
kernel:   14: @d5521580  length 800005ea status 000005ea
kernel:   15: @d55215c0  length 800005ea status 000005ea

lspci output:

00:00.0 Host bridge: Intel Corp. 82815 815 Chipset Host Bridge and Memory
Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corp. 82815 815 Chipset AGP Bridge (rev 02)
00:1e.0 PCI bridge: Intel Corp. 82801BAM/CAM PCI Bridge (rev 03)
00:1f.0 ISA bridge: Intel Corp. 82801BAM ISA Bridge (LPC) (rev 03)
00:1f.1 IDE interface: Intel Corp. 82801BAM IDE U100 (rev 03)
00:1f.2 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #1) (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility M4 AGP
02:03.0 Multimedia audio controller: ESS Technology ES1983S Maestro-3i PCI Audio
Accelerator (rev 10)
02:06.0 Ethernet controller: 3Com Corporation 3c556 Hurricane CardBus (rev 10)
02:06.1 Communication controller: 3Com Corporation Mini PCI 56k Winmodem (rev 10)
02:0f.0 CardBus bridge: Texas Instruments PCI4451 PC card Cardbus Controller
02:0f.1 CardBus bridge: Texas Instruments PCI4451 PC card Cardbus Controller
02:0f.2 FireWire (IEEE 1394): Texas Instruments PCI4451 IEEE-1394 Controller
Comment 2 Bugzilla owner 2004-09-30 11:39:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.